- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QuadraticCoefficients Class Reference

The in-memory representation of the <quadraticCoefficients> element. More...

`#include <OSInstance.h>`

Collaboration diagram for QuadraticCoefficients:

[legend]
List of all members.

## Public Member Functions
| QuadraticCoefficients ()
| The QuadraticCoefficients class constructor.
| ~QuadraticCoefficients ()
| The QuadraticCoefficients class destructor.
bool | IsEqual (QuadraticCoefficients *that)
| A function to check for the equality of two objects.
| QuadraticCoefficients ()
| The QuadraticCoefficients class constructor.
| ~QuadraticCoefficients ()
| The QuadraticCoefficients class destructor.
## Public Attributes
int | numberOfQuadraticTerms
| numberOfQuadraticTerms is the number of quadratic terms in the <quadraticCoefficients> element.
QuadraticTerm ** | qTerm
| qTerm is a pointer to an array of QuadraticTerm object pointers
QuadraticTerm ** | qTerm
| qTerm is a pointer to an array of QuadraticTerm object pointers

## Detailed Description

The in-memory representation of the <quadraticCoefficients> element.

Definition at line 407 of file OSInstance.h.

## Constructor & Destructor Documentation

QuadraticCoefficients::QuadraticCoefficients | ( |  | ) |

The QuadraticCoefficients class constructor.

Definition at line 622 of file OSInstance.cpp.

QuadraticCoefficients::~QuadraticCoefficients | ( |  | ) |

The QuadraticCoefficients class destructor.

Definition at line 632 of file OSInstance.cpp.

References numberOfQuadraticTerms, and qTerm.

QuadraticCoefficients::QuadraticCoefficients | ( |  | ) |

The QuadraticCoefficients class constructor.

QuadraticCoefficients::~QuadraticCoefficients | ( |  | ) |

The QuadraticCoefficients class destructor.

## Member Function Documentation

bool QuadraticCoefficients::IsEqual | ( | QuadraticCoefficients * | that | ) |

A function to check for the equality of two objects.

Definition at line 5294 of file OSInstance.cpp.

References numberOfQuadraticTerms, and qTerm.

## Member Data Documentation

int QuadraticCoefficients::numberOfQuadraticTerms

numberOfQuadraticTerms is the number of quadratic terms in the <quadraticCoefficients> element.

Definition at line 419 of file OSInstance.h.

Referenced by OSInstance::addQTermsToExressionTree(), OSInstance::getNumberOfQuadraticTerms(), IsEqual(), OSInstance::setQuadraticTerms(), and ~QuadraticCoefficients().

QuadraticTerm** QuadraticCoefficients::qTerm

qTerm is a pointer to an array of QuadraticTerm object pointers

Definition at line 423 of file OSInstance.h.

Referenced by OSInstance::getQuadraticTerms(), IsEqual(), OSInstance::setQuadraticTerms(), and ~QuadraticCoefficients().

QuadraticTerm** QuadraticCoefficients::qTerm

qTerm is a pointer to an array of QuadraticTerm object pointers

Definition at line 380 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp